Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QSizePolicy.Policy

    java.lang.Object
      java.lang.Enum<QSizePolicy.Policy>
          com.trolltech.qt.gui.QSizePolicy.Policy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSizePolicy.Policy>

Enclosing class:
  QSizePolicy

    public static enum QSizePolicy.Policy

extends java.lang.Enum<QSizePolicy.Policy>
implements QtEnumerator

This enum describes the various per-dimension sizing types used when constructing a `QSizePolicy`.

See Also:
  `PolicyFlag`, `setHorizontalPolicy`, `setVerticalPolicy`

Enum Constant Summary
`Expanding` The sizeHint() is a sensible size, but the widget can be shrunk and still be useful.
`Fixed` The QWidget::sizeHint() is the only acceptable alternative, so the widget can never grow or shrink (e.g. the vertical direction of a push button).
`Ignored` The sizeHint() is ignored.
`Maximum` The sizeHint() is a maximum.
`Minimum` The sizeHint() is minimal, and sufficient.
`MinimumExpanding` The sizeHint() is minimal, and sufficient.
`Preferred` The sizeHint() is best, but the widget can be shrunk and still be useful.

Method Summary
`static QSizePolicy.Policy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSizePolicy.Policy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSizePolicy.Policy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Fixed

    public static final QSizePolicy.Policy Fixed

  The QWidget::sizeHint() is the only acceptable alternative, so the widget can never grow or shrink (e.g. the vertical direction of a push button).

### Minimum

    public static final QSizePolicy.Policy Minimum

  The sizeHint() is minimal, and sufficient. The widget can be expanded, but there is no advantage to it being larger (e.g. the horizontal direction of a push button). It cannot be smaller than the size provided by sizeHint().

### Maximum

    public static final QSizePolicy.Policy Maximum

  The sizeHint() is a maximum. The widget can be shrunk any amount without detriment if other widgets need the space (e.g. a separator line). It cannot be larger than the size provided by sizeHint().

### Preferred

    public static final QSizePolicy.Policy Preferred

  The sizeHint() is best, but the widget can be shrunk and still be useful. The widget can be expanded, but there is no advantage to it being larger than sizeHint() (the default `QWidget` policy).

### MinimumExpanding

    public static final QSizePolicy.Policy MinimumExpanding

  The sizeHint() is minimal, and sufficient. The widget can make use of extra space, so it should get as much space as possible (e.g. the horizontal direction of a horizontal slider).

### Expanding

    public static final QSizePolicy.Policy Expanding

  The sizeHint() is a sensible size, but the widget can be shrunk and still be useful. The widget can make use of extra space, so it should get as much space as possible (e.g. the horizontal direction of a horizontal slider).

### Ignored

    public static final QSizePolicy.Policy Ignored

  The sizeHint() is ignored. The widget will get as much space as possible.

Method Detail

### values

    public static final QSizePolicy.Policy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSizePolicy.Policy c : QSizePolicy.Policy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSizePolicy.Policy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSizePolicy.Policy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD